html {
  background-color: orange;
}

h1 {
  text-align: center;
  margin-left: -100px;
  font-size: 50px;
  margin-left: 5px;
  margin-top: 60px;
}

body {
  overflow-x: hidden;
}

.publish,
.read {
  margin-left: 40px;
  margin-right: 40px;
}

.publish > h2,
.read > h2 {
  font-size: 30px;
}

.pub_button {
  width: 250px;
  font-size: 20px;
  height: 50px;
  margin-top: -5px;
  background-color: inherit;
  border: solid 2px black;
  margin-left: 20px;
  cursor: pointer;
  transition: 0.3s ease-in;
}

.pub_button:hover {
  background-color: black;
  color: white;
  transform: scale(1.2);
}

hr {
  margin-top: 50px;
}

.info_to_pub {
  margin-left: 20px;
}

.articles {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin-bottom: 50px;
}

.article:nth-child(1n) {
  color: white;
  background-color: #d4418e;
  background-image: linear-gradient(315deg, #d4418e 0%, #0652c5 74%);
}

.article:nth-child(2n) {
  background-color: #abe9cd;
  background-image: linear-gradient(315deg, #abe9cd 0%, #3eadcf 74%);
  color: black;
}

.article:nth-child(3n) {
  background-color: #7f5a83;
  background-image: linear-gradient(315deg, #7f5a83 0%, #0d324d 74%);
}

.article:nth-child(4n) {
  background-color: #f3e6e8;
  background-image: linear-gradient(315deg, #f3e6e8 0%, #d5d0e5 74%);
  color: black;
}

.article {
  height: 470px;
  text-align: center;
  margin: 10px;
  transition: 0.3s ease-in;
  margin-bottom: 12px;
  border: 1px solid black;
  cursor: pointer;
  border-radius: 25px;
}

.articles:hover .article {
  filter: blur(20px);
  transform: scale(0.9);
  opacity: 0.5;
}

.articles .article:hover {
  filter: blur(0px);
  transform: scale(1.1);
  opacity: 1;
}

@media only screen and (max-width: 1350px) {
  .articles {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media only screen and (max-width: 1050px) {
  .articles {
    grid-template-columns: 1fr 1fr;
  }
}

@media only screen and (max-width: 700px) {
  .articles {
    grid-template-columns: 1fr;
  }
}

.name_of_art {
  font-size: 35px;
  padding-top: 10px;
}

.image {
  margin: 0;
  padding: 0;
  background-color: white;
  height: 200px;
  width: 300px;
  margin: auto;
  margin-top: 20px;
}

.description {
  margin: 0;
  padding: 0;
  margin: 10px;
  font-size: 20px;
}

.image > img {
  width: 300px;
  height: 200px;
  border-top: solid 1px white;
  border-bottom: solid 1px white;
}

#small_one {
  margin: 0px;
  width: 100px;
}

.label_n_input {
  display: flex;
  flex-direction: column;
  margin-bottom: 20px;
}

.label_n_input > label {
  font-size: 20px;
}

.label_n_input > input {
  width: 40%;
  min-width: 200px;
  max-width: 400px;
  height: 30px;
}

.label_n_input > textarea,
.label_n_input > input {
  background-color: inherit;
  border: none;
  border-bottom: 2px solid black;
  outline: none;
  font-size: 16px;
}

#image_for_art {
  display: none;
}

.image_label {
  cursor: pointer;
  transition: 0.3s ease-in-out;
  padding: 5px;
  border: solid 1px black;
}

.image_label:hover {
  background-color: black;
  color: white;
}

#inp_url {
  margin-bottom: 20px;
}

.for_space {
  margin-top: 35px;
}

#form_to_show {
  display: none;
}

#output {
  border: dashed 2px gray;
  width: fit-content;
  padding: 20px;
}

.picture {
  width: 200px;
  display: none;
}

#after_load {
  display: none;
  background-color: greenyellow;
  padding: 5px;
}

#textarea {
  background-color: rgba(255, 255, 255, 0.541);
  max-width: 500px;
  margin-top: 5px;
  height: 70px;
}

#hide_but {
  width: 90px;
}

a {
  text-decoration: none;
}

.name_of_art {
  margin-left: 5px;
  margin-right: 5px;
}

.contents {
  margin-top: 10%;
}

.copy {
  font-size: 17px;
}

@media (max-width: 666px) {
  .contents {
    margin-top: 320px;
  }
}
